MAPSEMBLER_EXTEND(1)

NAME
mapsembler_extend - extends a DNA sequence of interest given a set of reads, by computing a targeted micro assembly

SYNOPSIS
mapsembler_extend <extrem_kmers.fasta> <readsC1.fasta> [<readsC2.fasta> [<readsC3.fasta] ...] [-t extension_type] [-k value] [-c value] [-g value] [-i index_name] [-o name] [-h]

DESCRIPTION
Mapsembler 2 extends a DNA sequence of interest given a set of reads, by computing a targeted micro assembly.

OPTIONS

-t extension_type. Default: 1

    1: a strict sequence: any branching stops the extension

    2: a consensus sequence: contiging approach

    3: a strict graph: any branching is conserved in the graph

    4: a consensus graph: "small" polymorphism is merged, but "large" structures are represented

-k size_kmers: Size of the k-mers used duriung the extension phase Default: 31. Accepted range, depends on the compilation (make k=42 for instance)

-c min_coverage: a sequence is covered by at least min_coverage coherent reads. Default: 2

-g estimated_genome_size: estimation of the size of the genome whose reads come from.

    It is in bp, does not need to be accurate, only controls memory usage. Default: 3 billion

-x node_len: limit max of nodes length. Default: 40

-y graph_max_depth: limit max of graph depth.Default: 10000

-i index_name: stores the index files in files starting with this prefix name. Can be re-used latter. Default: "index"

    IF THE FILE "index_name.bloom" EXISTS: the index is not re-created

-o file_name_prefix: where to write outputs. Default: "res_mapsembler"

-p search_mod: kind of prosses Breadth or Depth. Default: Breadth

-h prints this message and exit

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.